Package org.freeplane.plugin.script.proxy

# Interface Proxy.Loader

All Superinterfaces:
  `HeadlessLoader`, `Loader`

Enclosing interface:
  Proxy

public static interface Proxy.Loader extends Loader

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Proxy.MindMap`
  `getMindMap()`
  Creates and returns a map or selects and returns a previously loaded map.

  ### Methods inherited from interface org.freeplane.api.HeadlessLoader

  `getMap, load, newMapLocation, newMapLocation, saveAfterLoading, unsetMapLocation`

  ### Methods inherited from interface org.freeplane.api.Loader

  `selectNodeById, withView`

- ## Method Details

  - ### getMindMap

    Proxy.MindMap getMindMap()
    Description copied from interface: `HeadlessLoader`
    Creates and returns a map or selects and returns a previously loaded map. Same as `HeadlessLoader.load()`
    Specified by:
      `getMindMap` in interface `HeadlessLoader`